# queue File Reference

`#include <bits/c++config.h>`
`#include <bits/functexcept.h>`
`#include <bits/stl_algobase.h>`
`#include <bits/allocator.h>`
`#include <bits/stl_construct.h>`
`#include <bits/stl_uninitialized.h>`
`#include <bits/stl_heap.h>`
`#include <bits/stl_function.h>`
`#include <deque>`
`#include <vector>`
`#include <bits/stl_queue.h>`

Include dependency graph for queue:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Detailed Description

This is a Standard C++ Library header. You should `#include` this header in your programs, rather than any of the "st[dl]_*.h" implementation files.

Definition in file queue.